@import "reset";
@import "vars";
@import "typography";
@import "global";
@import "includes";
// :root {

//   --min-fs: 1;
//   --max-fs: 2;
//   --min-vw: 20;
//   --max-vw:300;

//   --min-fs-rem: var(--min-fs) * 1rem;
//   --max-fs-rem: var(--max-fs) * 1rem;
//   --min-vw-rem: var(--min-vw) * 1rem;

//   --slope: (var(--max-fs) - var(--min-fs)) * (100vw - var(--min-vw-rem)) / (var(--max-vw) - var(--min-vw));

//   font-size: clamp(var(--min-fs-rem), var(--min-fs-rem) + var(--slope), var(--max-fs-rem));
// }
.page-divider {
	width: 100%;
	height: 1px;
	background-color: $stroke;
}
// —————————————————————————— MAIN-HERO —————————————————————————— //

.main-hero {
	min-height: 45rem;

	display: flex;
	justify-content: space-between;
	align-items: flex-end;

	padding-bottom: 3.5rem;
}

.main-hero h1 span {
	background: $purple-azure-linear;
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

//  MAIN-HERO @MEDIA  //
@media screen and (max-width: 1000px) {
	.main-hero {
		flex-direction: column;
		justify-content: flex-end;
		align-items: flex-start;
	}
	.main-hero h1 {
		margin-bottom: 5rem;
	}
}

// —————————————————————————— NUMBERS —————————————————————————— //
.numbers {
  padding: 2.5rem 0;
	border-top: 1px solid $stroke;
	border-bottom: none;
}
.numbers__wrapper {
	width: 100%;
	display: flex;
	gap: 2.5rem;
}
.numbers__wrapper li {
	flex-grow: 1;
}
.numbers__wrapper li:not(:last-child) {
	border-right: 1px solid $stroke;
}
.numbers__wrapper h2 {
	font-weight: 600;
	font-size: 4rem;
}

@media screen and (max-width:1000px) {
  .numbers__wrapper{
    flex-direction: column;
  }
  .numbers__wrapper li:not(:last-child) {
    border-right: none;
  }
}

@media screen and (max-width:1000px) {
  .numbers__wrapper li{

  }
}
// —————————————————————————— MAIN FEATURES —————————————————————————— //
.main-features {
	display: flex;
	justify-content: space-between;
}
.main-features h2{
  align-self: flex-start;
}
.main__features__list {
	display: flex;
	flex-direction: column;
	gap: 2.5rem;
	flex: 1 0 50%;
}
.main-feature {
  display: flex;
  flex-direction: column;
  gap: 2rem;
	padding: 2rem;

  border: 1px solid $stroke;
  border-radius: 1.25rem;
}
.main-feature__header {
	display: flex;
	justify-content: space-between;
  align-items: center;
}
.main-feature__header img{
  width: 6.25rem;
}
.main-feature__header div{
  font-size: 5rem;
  font-weight: 300;
  color:$surface-light
}

@media screen and (max-width:1000px) {
.main-features{
  flex-direction: column;
}
}

// —————————————————————————— SERVICES LINK —————————————————————————— //

.services-links__list {
	display: flex;
	flex-direction: column;
	gap: 1.5rem;
}
.services-links__link {
	display: block;
	margin-bottom: 2.5rem;
	transition: all 0.4s ease;
}
.link__header {
	display: flex;
	align-items: center;
	margin-bottom: 2rem;
  gap: 4rem;
}
.link__title{
  display: flex;
  align-items: center;
  gap: 1.25rem;
  padding-right: 1.25rem;
  flex-basis: 50%;
  flex-grow: 1;
}
.link__header h2 {
	flex-grow: 1;
	margin: 0;
  font-weight: 500;
	line-height: 110%; /* 4.4rem */
	letter-spacing: -0.064rem;
	text-transform: uppercase;

	color: $text-white;
	background: linear-gradient(to right, #8c34fa 0, #1ba7fa 50.26%);
	background-clip: text;
	-webkit-background-clip: text;
	transition: all 0.4s ease;
}
.link__header svg {
	flex-shrink: 0;
  opacity: 0;
}
.link__header svg {
	transition: all 0.4s ease;
}
.services-links__link:hover .link__header h2 {
	color: transparent;
}
.services-links__link:hover .link__header svg {
	transform: translateX(24px);
  opacity: 1;
}
.services-links__link:hover .link__description {
  opacity: 1;
}
.link__description {
	text-transform: none;
	max-width: 37.5rem;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: 35%;
  opacity: 0;
	transition: opacity 0.4s ease;
  
}

// —————————————————————————— CASES —————————————————————————— //

.cases__heading {
	margin-bottom: 6.5rem; //Spacing
	max-width: 27rem;
}
.cases__list {
	display: flex;
	margin-bottom: 6.5rem; //Spacing
	height: 30rem;
	gap: 2.5rem;
}
.case {
	flex: 1 1;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: flex-end;
	padding: 2rem;
	background-repeat: no-repeat;
	background-size: cover;
	border-radius: $border-radius;
	border: 1px solid $stroke;
}
@for $i from 1 through 3 {
	.case:nth-child(#{$i}) {
		background-image: url("img/case-bg-#{$i}.jpg");
	}
}
.case__title {
	align-self: flex-start;
	font-weight: 600;
}

//  CASES @MEDIA  //

@media screen and (max-width: 768px) {
	.cases__heading {
		margin-bottom: 5rem; //Spacing
	}
	.cases__list {
		margin-bottom: 5rem; //Spacing
	}
	.cases__list {
		flex-direction: column;
		height: 46rem;
	}
	.case {
		padding: 2rem;
	}
}

@media screen and (max-width: 480px) {
	.cases__heading {
		margin-bottom: 3rem; //Spacing
	}

	.cases__list {
		margin-bottom: 3rem; //Spacing
	}
	.cases__list {
		height: 39rem;
	}
	.case {
		padding: 1.5rem;
		height: 12rem;
	}
}
// —————————————————————————— PARTNERS —————————————————————————— //
.page__section.partners {
	overflow: hidden;
}
.partners__header {
	max-width: 27rem;
	margin-bottom: 6.5rem;
}
.partners__header h2 {
	max-width: 20rem;
}
.partners__list {
	position: relative;
	display: flex;
	user-select: none;
	gap: 20px;
}
.partners__list:before,
.partners__list:after {
	content: "";
	height: 100%;
	top: 0;
	width: 10%;
	position: absolute;
	z-index: 1;
	pointer-events: none;
}
.partners__list:before {
	left: 0;
	background: linear-gradient(90deg, rgb(4, 5, 11) 0%, rgba(4, 5, 11, 0) 100%);
}
.partners__list:after {
	right: 0;
	background: linear-gradient(90deg, rgba(4, 5, 11, 0) 0%, rgb(4, 5, 11) 100%);
}
.partners__list .items {
	flex-shrink: 0;
	display: flex;
	gap: 20px;
	counter-reset: item;
	justify-content: space-around;
	min-width: 100%;
}
.partners__list .item {
	flex: 0 0 auto;
	width: 180px;
	height: 180px;
	counter-increment: item;
	border-radius: 12px;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 25px;
	font-weight: bold;
	color: #fff;
	margin: 10px 0;
	transition: all 0.1s ease-in-out;

	background-image: url("img/partner-logo-01.png");
	background-size: contain;
	background-repeat: no-repeat;
}
@for $i from 1 through 12 {
	.partners__list .item:nth-child(#{$i}) {
		background-image: url("img/partner-logo-#{$i}.png");
	}
}
.partners__list .marquee {
	animation: scroll 18s linear infinite;
	transition: all 1s;
}
.partners__list .reverce {
	animation-direction: reverse;
}
.perfscan {
	margin: 20px 0;
	text-align: center;
	bottom: 0;
	background: #fff;
	padding: 5px;
}
.perfscan hr {
	border: solid #999;
	border-width: 1px 0 0 0;
	max-width: 50%;
	margin: 0 auto 20px;
}
.perfscan a {
	color: #000;
	font-weight: bold;
}

@keyframes scroll {
	from {
		transform: translateX(0);
	}
	to {
		transform: translateX(calc(-100% - 20px));
	}
}

//  PARTNERS @MEDIA  //

@media screen and (min-width: 768px) {
	.partners__list .item:hover {
		transform: scale(1.05);
		box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
		background-color: $surface;
	}
	.partners__list:hover .marquee {
		animation-play-state: paused;
	}
}

@media screen and (max-width: 768px) {
	.partners__header {
		margin-bottom: 5rem;
	}
}

@media screen and (max-width: 480px) {
	.partners__header {
		margin-bottom: 3rem;
	}
}

@media screen and (max-width: 768px) {
	.partners__list .item {
		width: 120px;
		height: 120px;
	}
}
